%global pypi_name dunamai

Name:		python-%{pypi_name}
Summary:	Dynamic version generation
Version:	1.22.0
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/dunamai/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
Dunamai is a Python library and command line tool for producing dynamic,
standards-compliant version strings, derived from tags in your version control
system. This facilitates uniquely identifying nightly or per-commit builds in
continuous integration and releasing new versions of your software simply by
creating a tag.

%package -n python3-%{pypi_name}
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
Dunamai is a Python library and command line tool for producing dynamic,
standards-compliant version strings, derived from tags in your version control
system. This facilitates uniquely identifying nightly or per-commit builds in
continuous integration and releasing new versions of your software simply by
creating a tag.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README*
%{_bindir}/dunamai


%changelog
* Thu Dec 19 2024 papoteur <papoteur> 1.22.0-1.mga10
+ Revision: 2126219
- new version 1.22.0

* Thu Jun 27 2024 papoteur <papoteur> 1.21.1-1.mga10
+ Revision: 2077262
- new version 1.21.1

* Mon Dec 25 2023 wally <wally> 1.19.0-1.mga10
+ Revision: 2021487
- imported package python-dunamai

